package com.bzd.system.service.jkgl;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 有奖推荐活动信息表 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SJkglGyhyYjtjActivityinfoService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSJkglGyhyYjtjActivityinfo(PageData pd)throws Exception {
        return daoSupport.update("SJkglGyhyYjtjActivityinfoMapper.addSJkglGyhyYjtjActivityinfo", pd);
    }

    public List<PageData> findSJkglGyhyYjtjActivityinfoList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SJkglGyhyYjtjActivityinfoMapper.selectSJkglGyhyYjtjActivityinfoList", pd);
    }

    public Integer SJkglGyhyYjtjActivityinfoRemove(PageData pd)throws Exception {
        return daoSupport.delete("SJkglGyhyYjtjActivityinfoMapper.SJkglGyhyYjtjActivityinfoRemove", pd);
    }


    public Integer updateSJkglGyhyYjtjActivityinfo(PageData pd)throws Exception {
        return daoSupport.update("SJkglGyhyYjtjActivityinfoMapper.updateSJkglGyhyYjtjActivityinfo", pd);
    }

}
